<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Algorithm" description="Алгоритм"
	fileName="NPCAlgorithm.jar" className="org.mati.npc.components.algorithm.NPCAlgorithm"
	version="9115" time="17.02.2009 01:05:07">

	<Group>Основные компоненты</Group>

	<INLink name="In" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InUniversal"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutUniversal"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutEffector" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSensor" description=""
		interfaceName="org.mati.npc.components.interfaces.Sensor"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutSensorListener" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutStringValue" description=""
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutComponent"
		description="Связь с компонентом"
		interfaceName="org.mati.npc.core.components.NPCComponent"
		linksNumber="0" nullable="true">
	</OUTLink>
	

	<Attribute name="Code" description="Код" nullable="false" isEncode="true"
		type="org.mati.npc.core.components.property.CodePackImp">
	</Attribute>

</ClassComponent>